



%Bounds
lb = zeros(6,1);
ub = ones(6,1) * 20000;

% Base starting point
x0=importdata('../x0.mat');


dim=size(x0,1);

niter = 50;

%if (size(x0,2) ~= niter)
%    error('Inconsistent size');
%end

xr=zeros(dim,niter);
fval=zeros(1,niter);
ef=zeros(1,niter);
iter=zeros(1,niter);
nfval=zeros(1,niter);


% Run multpile NOMAD in sequence
for i=1:1  
    
    % Options must be adapted by using the propoer param_file 
    opts = nomadset('param_file','param_mads.txt','display_degree',3,'max_bb_eval',10,'bb_output_type','obj pb pb','seed',i);

    % Starting points (base: x0=ones(6)*10000)
    [xr(:,i),fval(i),ef(i),iter(i),nfval(i)] = nomad(@bb_lockwood,x0(:,i),lb,ub,opts);
        
end